% FILE:    shuffle.m
% PURPOSE:  inteleave n strings
% EXAMPLE:
%   strcmp(shuffle('abc', '123',  '$#@'), 'a1$b2#c3@');

% COPYRIGHT: 2009 W. M. McKeeman.  See license.txt.

function deck = shuffle(varargin)
  na = nargin;
  nc = numel(varargin{1});
  for i=1:na
    deck(i:na:na*nc-na+i) = varargin{i};
  end
end
