% FILE:     testGem2.m 
% PURPOSE:  test gem (the grammar executing machine)
% METHOD:   test grammars with blanks
% REQUIRES: gem2.m iog2.c iog2.h
% EXAMPLE:    
%   testGem2() 

% COPYRIGHT: 2009 W. M. McKeeman.  See license.txt.

function testGem2()  
  EOL    = char(10);                              % ascii code for newline
  tests  = 0;                                     % none yet
  passed = 0;                                     % none yet
  
  G = gem2();                                     % instantiate GEM object
  
  gr = {
    'g = rg; g = ; r = ''1''"O";',                           ...
    '  g = r  g; g = ; r = ''1''  "O"  ;  ',                 ...
   [EOL EOL 'g' EOL '=' EOL 'rg;g=;' EOL ' r = ''1''"O";']};

  for i=1:numel(gr)
    positiveTest(strcmp('OO', G.run('11', gr{i})));
  end
  
  fprintf('gem2: passed %d tests out of %d\n', passed, tests);

  %return;
  
  function positiveTest(bexpr)
    tests = tests + 1;
    if bexpr; passed = passed + 1; end
    %tests, passed
  end

end

